Linuxiarze.pl Forum

Dystrybucje Linux => Arch => Wątek zaczęty przez: Piejanto w Marzec 23, 2020, 12:46:17 am

Tytuł: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: Piejanto w Marzec 23, 2020, 12:46:17 am
Zostałem namówiony do instalacji programiku >pak<  i od czasu gdy mi się udało zainstalować z jego pomocą kooka-git - jestem zachwycony jego sposobem instalacji.
Niestety, jako laik informatyczny, nie potrafię sobie poradzić nawet z tak prostym - jak mnie zapewniano - programem.
Problem jest następujący: nie potrafię wylistować programów zawartych w Polaur które mogłyby mi się przydać. O zainstalowanym programie Kooka-git wiedziałem, że nazywa się [kooka-git] i że znajduje się w repo [new-branded]. To wiedziałem. Dlatego po wpisaniu polecenia [pak -P new-branded/kooka-git]
nastąpiła piękna instalacja z pobieraniem i budowaniem i instalowaniem... słowem "cud miód ultramaryna".  Ale ZNAŁEM [repo/nazwa_programu].
Do sprawdzania repo w Polaur służy polecenie [pak -Ps] no i spodziewałem się, że posypie się lista tytułów (może nawet z krótkimi opisami do czego to) a tu mi pokazało :
piejanto ~]$ pak -Ps
:: POLAUR
new-branded/plasma5-theme-psion 1.5
    Transparent theme for Plasma 5

Nie wymagam takiego bogactwa na ekranie jakie oferuje Pamac, ale myślałem że wyskoczy mi jakaś lista. Nawet jeśli nie wiedziałbym co kryje się pod nazwą, to mógłbym sobie poszukać w internecie co to takiego i do czego służy, a tu tylko jedna pozycja i finito.
Dlatego zwracam się do kolegów z pytaniem jakie mają doświadczenia z PAK-iem.
Szczególnie pilnie będę oczekiwał od kolego @pavbaranov, bo to On mnie od jakiegoś czasu prowadzi przez Linuxa i zjego sugestii wrzuciłem tutaj
to pytanie będące prośbą o pomoc.
Dzięki za pomoc.

Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: pavbaranov w Marzec 23, 2020, 08:19:09 am
Po pierwsze musisz dokonać synchronizacji baz:
pak -PyTa operacja jest dokonywana również przy "normalnej" aktualizacji systemu, czyli: pak -SyuWówczas po wpisaniu:
pak -Pl nazwa_repozytoriumpojawi Ci się zawartość repozytorium wraz z informacją o wersji paczki i informacją jaka wersja (jeśli) jest zainstalowana.
Polecenie: pak -Pssłuży do wyszukania paczki w repozytorium, a nie do wylistowania zawartości (swoją drogą, to nawet nie wiem jak Ci się ten Psion mógł wyświetlić).
Niestety - "obsługa" paczek w POLAUR jest "podzielona" na dwie rzeczy (przynajmniej jak na razie). Informację o paczkach, która jest na bieżąco podawana na https://forum.archlinux.org.pl/viewtopic.php?id=615 (https://forum.archlinux.org.pl/viewtopic.php?id=615), gdzie podawana jest informacja o tym, co jest tu dodane oraz jakie np. ma zmiany w stosunku do repozytoriów Archa lub do AUR, a także o tym, do którego repozytorium paczka trafiła. Potem już w pak jest w stanie sobie z tym poradzić.

Tak jak już gdzieś mówiłem: POLAUR nie jest dla każdego, a na pewno już niektóre jego repozytoria są zarezerwowane wyłącznie dla osób, które chcą się włączyć w testy oprogramowania.
I tak: pkg-trunk - tu trafia oprogramowanie, które jest przeznaczone praktycznie wyłącznie dla osób testujących; wersje beta, kandydujące...
debug - to repozytorium jest obecnie puste, a paczki będą pojawiać się "na żądanie"; tutaj pojawiać mogą się wyłącznie paczki z repozytoriów, które są tak kompilowane, że dostarczają tzw. symboli debugowania - ma to znaczenie wyłącznie dla diagnostyki błędów i myślę, że nikt, kto nie jest programistą nic z tego wiedział nie będzie
recompilated - obecnie puste - paczki konwertowane z innych systemów paczkowania jak np. z rpm czy deb
highest-experimental - dostęp winien być domyślnie wyłączony; te paczki są wyłącznie dla osób, które doskonale wiedzą dlaczego akurat tych chcą i wiedzą jakie są konsekwencje ich używania (ot, choćby, że wymagają przebudowy połowy systemu)
i trzy repozytoria "bardziej" dla zwykłych użytkowników: repo-refreshed - trafiają tu paczki, które znajdują się w repozytoriach, ale z jakimiś zmianami (np. dodatkowymi łatkami, które pojawić się mają w przyszłości), aur-rebased - paczki znajdujące się w AUR, ale z jakichś powodów zmieniane (powodów mnóstwo, trudno wymienić w krótkim wpisie, przykładowo jedynie: mogą to być nowsze wersje, mogą być paczki z jakimiś zmianami, które powodują, że w ogóle paczka się buduje lub aplikacja działa poprawnie, mogą to być dodatkowe patche, może być inny sposób budowania... ogólnie - cokolwiek). Trzecie repozytorium to new-branded, gdzie trafiają paczki, których nie ma ani w repozytoriach, ani w AUR; pewnie niektóre przynajmniej mogłyby się w AUR pojawić, ale raczej mało komu z nas już się chce działać na jeszcze jeden "front" i dostarczać je do AUR.
Dla Ciebie - przeglądnięcie (od końca raczej) wątku, którego link wyżej. Od pewnego czasu nawet jeśli pojawia się jakieś nowe oprogramowanie, które jest w new-branded, to masz link do strony domowej. Jak są patche, to są linki do nich i można sobie w miarę łatwo ocenić czy to coś, co potrzebuję i czy też lepiej poczekać na wersję w repozytorium (przy okazji nowego wydania), czy już kompilować.
Akurat tak się składa, że dostarczycielami paczek dla POLAUR są osoby, które korzystają z KDE stąd też spora ilość paczek pochodzi - ogólnie - ze "stajni" oprogramowania Qt5/KDE. Jest taki wątek: https://forum.archlinux.org.pl/viewtopic.php?id=245 (https://forum.archlinux.org.pl/viewtopic.php?id=245) gdzie można prosić o stworzenie jakiegoś brakującego PKGBUILDu, czy pochylenie się nad jakimś, który wprawdzie jest, ale z jakichś przyczyn wymaga zmian. Nie obiecuję, że zawsze taka prośba zostanie uwzględniona, ale na pewno - jeśli się da - to ktoś z nas nad nią się pochyli.
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: nycko w Marzec 23, 2020, 09:44:21 am
Od siebie tylko dodam, że samo 'pak -Pl' wyświetli listę dostępnych repozytoriów jakby ktoś nie znał ich nazw.  Gdy nazwa już poznana, listę programów z danego wyswietlimy przez 'pak -Pl repozytorium'

A jeśli ktoś nie ma awersji do czytania 'podręczników', to taki jest wbudowany w program 'man pak', 'man pak.conf'
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: Piejanto w Marzec 25, 2020, 11:45:02 pm
@pavbaranov
Dzięki wielkie za instrukcję. Na razie po wpisaniu [pak -Py] a następnie [pak -Syu] otrzymałem informację:
****
 pak -Syu
:: Uruchamianie aktualizacji systemu...
 nie ma nic do zrobienia

:: Uruchamianie aktualizacji z AUR...
auracle-git (AUR) nie jest zainstalowany

Co jest zgodne z prawdą, bo nieco wcześniej wydałem polecenie [pacman -Syu].
Natomiast nie wiem, czy jest mi potrzebne [auracle-git]?  Myślę, że jeśli już czegoś będę szukał i coś aktualizował, to dobrze byłoby porównać z tym co zawiera AUR. Np. Brakuje mi Skype, ale bez [pak]-a bałem się instalować. Teraz chętnie bym spróbował, gdyż wiem, ze nie zostanę się z rozbabraną instalacją. Z tego co wiem, jakaś wersja Skype jest własnie w AUR.

Informacja: "Akurat tak się składa, że dostarczycielami paczek dla POLAUR są osoby, które korzystają z KDE" mocno mnie zaskoczyła.
Ale przecież nie oznacza to, że paczka pisana z myślą o KDE nie uruchomi się w moim xfce (niestety KDE jest dla mnie zdecydowanie zbyt ciężkie).
Dzięki.

***********************

Zainstalowałem [auracle-git]. Nie dlatego, że wiem co tam na mnie czeka ale dla czystej przyjemności korzystania z PAK-a..
Wpisałem:
[pak -SA auracle-git]

 a dalej to już czysta przyjemność w obserwowaniu jak to się instaluje.
*************

Polecenie [pak -Pl] daje mi odpowiedź:

piejanto ~]$ pak -Pl
pacman: błędna opcja -- 'P'


podobnie z poleceniem [pak -Pl repozytorium]:

piejanto ~]$ pak -Pl repozytorium
pacman: błędna opcja -- 'P'






Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: pavbaranov w Marzec 26, 2020, 08:31:40 am
Program auracle-git jest używany przez pak do wyświetlania informacji o programach z AUR. Bez niego pak jest w stanie zainstalować paczkę z AUR (bo nie wykorzystuje żadnego innego aur-wrappera/helpera, który to robi), ale "przeglądnie" AUR w poszukiwaniu jakiejś paczki informując wyłącznie:
:: AUR
auracle-git (AUR) nie jest zainstalowany
Innymi słowy używanie paka będzie nieco ograniczone. Dlatego m.in. sugerujemy instalację wszystkich zależności opcjonalnych paka. Tylko wówczas będzie on miał funkcjonalność taką, o jaką chcieliśmy zadbać tworząc go. Zaraz pojawi się pytanie: dlaczego zatem zależności opcjonalne nie są "na sztywno" wskazane jako zależności pak. Nie są - bo nie muszą i nie powinny. PKGBUILD paka jest zgodny ze standardami Archa, stanowiącymi wytyczne pisania tych plików. Bez zależności opcjonalnych pak się zbuduje, będzie działać, jednakże nie będzie miał owej funkcjonalności.

Jeśli polecenie pak -P nic Ci nie wyświetla, to prawdopodobnie masz bardzo starą wersję pak. Obsługa POLAUR trafiła do pak w wersji 3.0 (wrzesień 2019). Sprawdź sobie wpisując:
pak -vewentualnie po prostu zainstaluj nową wersję, albowiem ta pojawiła się dosłownie kilka dni temu (20.03. wyszedł pak 4.3). Wersja ta na pewno ma obsługę POLAUR. Jeśli będzie stwarzać nadal problemy, to zachęcam do zgłoszenia go na https://github.com/polaur/new-branded/issues (https://github.com/polaur/new-branded/issues), https://gitlab.com/nycko123/pak/-/issues (https://gitlab.com/nycko123/pak/-/issues) względnie na: https://forum.archlinux.org.pl/viewforum.php?id=15 (https://forum.archlinux.org.pl/viewforum.php?id=15) bowiem są to 3 miejsca, które na 100% temu mogą służyć - przede wszystkim tam skierujesz pytanie do osoby, która od strony programistycznej nad pak czuwa.
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: nycko w Marzec 26, 2020, 09:52:28 am
Jest już 4.4, więc polecałbym aktualizację do tej wersji https://forum.archlinux.org.pl/viewtopic.php?pid=6188#p6188 (https://forum.archlinux.org.pl/viewtopic.php?pid=6188#p6188)
pak -P new-branded/pak
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: Piejanto w Marzec 28, 2020, 12:07:40 am
Dzięki.

 Odpowiedź na polecenie [pak -v] :
wersja skryptu: 3.2-1

Dzięki za naukę.
Pozdrowionka.
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: pavbaranov w Marzec 28, 2020, 08:12:39 am
Zaktualizuj pak: pak -P new-branded/pak
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: Piejanto w Marzec 28, 2020, 06:07:16 pm
@pavbaranov
Zaktualizowałem zaraz po przeczytaniu poprzedniej porady. Teraz mam odpowiedź :


 pak -v
pak
 źródła pak-git dostępne są na GitLab: https://gitlab.com/nycko123/pak

 wydanie stabilne pak dostępne jest na GitHub Polskiej Społeczności Arch Linux:
 https://github.com/polaur/new-branded/tree/master/pak
 lub na mirrorze GitLab:
 https://gitlab.com/polaur/new-branded/tree/master/pak

 wersja skryptu: 1:4.3-1

pacman
Root      : /
Conf File : /etc/pacman.conf
DB Path   : /var/lib/pacman/
Cache Dirs: /var/cache/pacman/pkg/ 
Hook Dirs : /usr/share/libalpm/hooks/  /etc/pacman.d/hooks/ 
Lock File : /var/lib/pacman/db.lck
Log File  : /var/log/pacman.log
GPG Dir   : /etc/pacman.d/gnupg/
Targets   : Brak
błąd:  nie podano żadnej operacji (użyj -h aby otrzymać pomoc)
***********
Teraz muszę sobie poczytać bo sytuacja mi się zmieniła, a ja wolno czytam i jeszcze wolniej przetwarzam.

Dzięki za pomoc.
Jak tylko wykrystalizuję problem, to zaraz go tutaj nadam.


Teraz jestem na etapie [pak -Pl] i wyszło mi tak:

piejanto ~]$ pak -Pl repozytorium
 Repozytoria POLAUR nie zostały jeszcze zsynchronizowane. Użyj 'pak -Py'

No to działam.


RE-WE-LA-CJA:

Oto odpowiedź na polecenie [pak -Pl new-branded]
****

piejanto ~]$ pak -Pl new-branded
new-branded android-file-transfer-linux 3.5-1
new-branded black-maia-icon-theme 3.30-1
new-branded blue-aurora-icon-theme 3.30-1
new-branded blue-maia-icon-theme 3.30-1
new-branded breeze2000-kwin-decoration-git r18.63e91c1-1
new-branded breezeblurred-kwin-decoration-git r18.63e91c1-1
new-branded breeze-chameleon-icon-theme r459.9862eaa-1
new-branded breeze-enhanced 5.18.1-1
new-branded breeze-rainbow-folders 1.1-1
new-branded brother-mfct910dw 1.0.0.0-1
new-branded calligra-git-polish-language-pack 1-1
new-branded capacitytester-git r8.7eacfc8-1
new-branded clamav-gui 0.4.1-3
new-branded clean-chroot-manager-git 2.208.0.g3608933-1
new-branded clevit 1.4.0-1
new-branded cloudconnector 0.4.2-1
new-branded cocoon-git r1149.8178df8-1
new-branded configure-wifi-git r22.bd14bd8-1
new-branded currencyconverter 1.0.0-1
new-branded digikamplugins-demo-git r58.5bdce9a-1
new-branded disass 0.02-1
new-branded dkms-git 2.8.1.r20.gc4f3db2-1
new-branded draco-desktop 0.9.0-1
new-branded draco-desktop-git 0.9.0_rc2.r39.g301039b-1
new-branded ds2048 1.0.1-2
new-branded dukto-qt5-git v6.r9.g402f858-1
new-branded elf-dissector-git r645.e70d09e-1
new-branded extra 0.0.1-1
new-branded falkon-git-polish-language-pack 1-1
new-branded feff 1.10.1-1
new-branded gaia-markdown-git r32.c6e2e22-1
new-branded gdb-stable-git 9.1.r99745.e4d278b881c-1
new-branded gimagereader-qt5-git 3.3.0.r35.gd513c63-1
new-branded gitless-git 0.8.8.r53.g9eccf3c-2
new-branded gitolite-git 3.6.11.r1.g37dfce9-1
new-branded glabels-qt-git r414.b729ee2-1
new-branded goldfinch 0.1-1
new-branded green-aurora-icon-theme 3.30-1
new-branded green-maia-icon-theme 3.30-1
new-branded grey-aurora-icon-theme 3.30-1
new-branded grey-maia-iron-theme-git 3.30-1
new-branded hidpi-fixer-git r52.3972a3c-1
new-branded intel-ucode-git 20191115.r0.g33b7b2f-2
new-branded iucode-tool-git 2.3.1.r2.gc5db0e0-1
new-branded kaidan 0.4.0-1
new-branded kcm-grub2-git 0.6.4.68.g1550b7f-1
new-branded kdbg 3.0.0-1
new-branded kded_rotation-git r5.be2bec7-1
new-branded kde-easy-scan-git 11-3
new-branded kdiff3-git 20181104.r625.gfc7be62-1
new-branded kgtk-kf5-git r7.34ed414-1
new-branded kio-fuse 4.90.0-1
new-branded kiofuse-kf5-git r47.722e3cb-1
new-branded kmousens-git 32-1
new-branded kmtail 2.0-1
new-branded kooka-git 0.61.243.g723404f-1 [zainstalowana: 0.61.337.ge9ff3e3-1]
new-branded kookbook 0.2.1-1
new-branded kookbook-git r24.6f2782d-1
new-branded kopete-git 17.08.3.309.gdf8093801-1
new-branded kpatience 18.04.3-1.1
new-branded kpeoplevcard-git r18.a170ed3-1
new-branded kprinter5-git 12.r40.ga65cdbc-1
new-branded kregexpeditor-git 632.7eb3a8b-1
new-branded krename-stable-git 5.0.1.r452.47cbed2-1
new-branded ksystraycmd-git 1-1
new-branded ktimetracker-git r3381.fd55225-1
new-branded lab-git 0.15.2.r1.gb2da778-1
new-branded libgit2-stable-git 1:0.99.0.r0.g172239021-2
new-branded libmygpo-qt5 1.0.9-2
new-branded linuxdeployqt-git r540.5542062-1
new-branded lmdb-git LMDB_0.9.25.r1901.g4f7ea78c9-2
new-branded lumina-pdf 1.6.0-1
new-branded manpager 1.1.1-1
new-branded marble-maps 1-1
new-branded mercurial-python3 5.3.1-1
new-branded mercurial-stable-hg 5.3rc0.r2.m3246cd5310b0-1
new-branded mesa-demos-git 8.4.0.9.g99f95b38-1
new-branded meson-stable-git 0.53.2.r8647.g156e06619-2
new-branded mnotes-git r52.b8acaa9-1
new-branded nedit-ng 2020.1-1
new-branded nomad-firewall-git 0.1.r58.gdf1ae0e-1
new-branded nx-audio-applet r20.c06a670-1
new-branded nx-clock-applet r46.a20f41b-1
new-branded nx-networkmanagement-applet r22.fceb28e-1
new-branded nx-notifications-applet r20.aa5ae59-1
new-branded nx-simplemenu-applet r50.3d42315-1
new-branded nx-systemtray-applet r15.fd33154-1
new-branded o20 20.2.4-1
new-branded o20-git 20.2.4.r0.gb129b74-1
new-branded olympic-fonts 1.0-1
new-branded openvpn-stable-git 2.4.8.r2261.g0ba4f916-2
new-branded orange-aurora-icon-theme 3.30-1
new-branded orange-maia-icon-theme 3.30-1
new-branded otf-galyon 1.0-1
new-branded otf-gravity 1.0-1
new-branded otf-great-victorian 1.0-1
new-branded otf-scriptina-pro 1.0-1
new-branded otf-vice-city-sans 1.0-1
new-branded pak 1:4.4.1-1 [zainstalowana: 1:4.3-1]
new-branded pak-git 1:4.3.r1.g2792cd4-1
new-branded pixsrt 1.6-1
new-branded plasma5-appimage-extensions r1.84499cd-1
new-branded plasma5-applets-inlineclock 0.1-1
new-branded plasma5-applets-ultimategmailfeed 1.6-1
new-branded plasma5-applets-ultimategmailfeed-git r23.5fcfbde-1
new-branded plasma5-charlie-customization-pack 1.0-1
new-branded plasma5-gently-customization-pack 1.0-1
new-branded plasma5-monochrome-customization-git r47.0ed6d6e-1
new-branded plasma5-theme-autumn-breeze 0.3-1
new-branded plasma5-theme-breezeblurred 1.2-1
new-branded plasma5-theme-charlie-git r2.89a809c-1
new-branded plasma5-theme-diamond 3.0.1-1
new-branded plasma5-theme-diamond-black-edition 1.0-1
new-branded plasma5-theme-dowlas 0.5-1
new-branded plasma5-theme-elegant r11.96472b7-1
new-branded plasma5-theme-elune 1.2-1
new-branded plasma5-theme-evanescence r9.9203f02-1
new-branded plasma5-theme-google+ 1-1
new-branded plasma5-theme-helium 9.1.0-1
new-branded plasma5-theme-jomada-style 1.3-1
new-branded plasma5-theme-ktrans 0.98-1
new-branded plasma5-theme-mild 1.2-1
new-branded plasma5-theme-opal 0.6-1
new-branded plasma5-theme-psion 1.5-1
new-branded plasma5-theme-serious 0.0.3-1
new-branded plasma5-theme-skism-git r2.8c86e3a-1
new-branded plasma5-theme-smoother 1.1-1
new-branded plasma5-theme-softglass 1.1.1-1
new-branded plasma5-transdarc-theme 1.0-1
new-branded plasma-theme-switcher 0.1-1
new-branded plasma-theme-switcher-git r27.ccc595f-1
new-branded polaur 4.3-1
new-branded polkit-admin 14.b05af71-1
new-branded polkit-explorer-qt5 11.51ba887-1
new-branded psi-clean-full-git 1.4.934.g977558fa-1
new-branded psi-clean-git 1.4.934.g977558fa-1
new-branded psi-full-git 1.4.934.g977558fa-1
new-branded psi-plus-clean-full-git 1.4.1026.r1151.g2170e90-1
new-branded psi-plus-clean-git 1.4.1026.r1151.g2170e90-1
new-branded psi-plus-full-git 1.4.1026.r1151.g2170e90-1
new-branded psi-plus-webkit-full-git 1.4.1026.r1151.g2170e90-1
new-branded psi-plus-webkit-git 1.4.1026.r1151.g2170e90-1
new-branded psi-webkit-full-git 1.4.934.g977558fa-1
new-branded psi-webkit-git 1.4.934.g977558fa-1
new-branded python-pygit2-git 1.0.3.r30.ge002614-3
new-branded qjson-qt5 0.9.0-2
new-branded qmarkdowntextedit 2019.4.0-1
new-branded qnetstatview 1.5.6-1
new-branded qt5-webkit-git r174546.4ce8ebc4094-1
new-branded qtchat 1.0.0-1
new-branded qtcmd2-git r967.3ac7c4c-2
new-branded qt-fsarchiver 0.8.5_5-1
new-branded qt-fsarchiver-terminal 0.8.5_2-1
new-branded qtrsed-git r8.37361e1-1
new-branded quick-usb-formatter-git r55.95f78d4-1
new-branded red-aurora-icon-theme 3.30-1
new-branded red-maia-icon-theme 3.30-1
new-branded rewir-fonts 1.0-1
new-branded sddm-dev-git 0.18.0.48.gc675273-1
new-branded simplelogin-git 49-1
new-branded simply-circles-icons-git r112.d2340f2-1
new-branded skanpage-git 8-2
new-branded smaragd-git v0.1.1.r19.g5f78964 -1
new-branded spebro-git r21.cb350a6-1
new-branded supermenu-git 56-1
new-branded swapusage 1.1-1
new-branded sylfilter 0.8-1
new-branded symmy-git 70-1
new-branded syslinux-git 6.04.pre3.r3.g05ac953c-3
new-branded thedocument r10.e719dbd-1
new-branded ttf-caviar-dreams 1.0-1
new-branded ttf-clemente 1.0-1
new-branded ttf-comfortaa 1.0-1
new-branded ttf-coolvetica 1.0-1
new-branded ttf-eurofurence 1.0-1
new-branded ttf-hunkyfonts 1.0-1
new-branded ttf-khatija-calligraphy 1.0-1
new-branded ttf-miama 1.0-1
new-branded ttf-nocturne 1.0-1
new-branded ttf-orkney 1.0-1
new-branded ttf-rounded-elegance 1.0-1
new-branded ttf-simple-print 1.0-1
new-branded ttf-storia-sans 2.0-1
new-branded ttf-symphonie-cat 1.0-1
new-branded ttf-webos 20180228.r1.gdb3bee8-1
new-branded tweeeditor 1.0.4-1
new-branded uksmd-git 20190519.r15.g42f4ff8-1
new-branded uksmstat-git 20120923.r39.g06854fd-2
new-branded uksmtools-git 20150925.r54.g9f59a3a-1
new-branded videomass 1.4.5-1
new-branded violet-aurora-icon-theme 3.30-1
new-branded violet-maia-icon-theme 3.30-1
new-branded viper-browser-git r720.cc48cf8-1
new-branded wireguard-dkms-git 0.0.20191226.r0.ge4354e6-1
new-branded wireguard-tools-git 1.0.20191226.r5.g318253d-1
new-branded wvdial-gui 1.2.0-1
new-branded xhtml-wysiwyg-qeditor r15.07b20dc-2
***********

I właśnie o to chodziło. Teraz wszystko jasne


Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: pavbaranov w Marzec 28, 2020, 06:59:28 pm
My działamy za to stosunkowo szybko. Aktualna wersja pak to 4.4.1 (tam jest epoch, a zatem wersja wyświetli Ci się jako: 1:4.4.1-1) i tę gorąco polecamy (nowa wersja ma potężnie przebudowany moduł związany z obsługą POLAUR).
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: Piejanto w Marzec 28, 2020, 09:57:46 pm
@pavbaranov
trzy lata albo i więcej się męczyłem bez SKYPE na kompie i musiałem polegać tylko na smartfonie!
WRESZCIE !!! Mam. SKYPE na laptopie i na dodatek działa pięknie.
proste polecenie [pak -SA linuxforskype] i świat staje się piękny pomimo koronavirusa.

Dzięki.

Co do aktualizacji pak-a, to ja mu wrzuciłem wczoraj to polecenie [pak -P new-branded/pak], to chyba jest zaktualizowany?
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: ciubaka w Marzec 28, 2020, 10:26:37 pm
Janku (wybacz że tak bezpośrednio się do Ciebie zwracam)! Jak Ty pięknie walczysz z tym Archem! Pawle B. (też wybacz, proszę). Jak ty go pięknie prowadzisz w tych meandrach! Szacunek Panowie! Też Paweł B., ale nie ten sam :-)
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: pavbaranov w Marzec 28, 2020, 11:33:40 pm
Co do aktualizacji pak-a, to ja mu wrzuciłem wczoraj to polecenie [pak -P new-branded/pak], to chyba jest zaktualizowany?
Ostatnia aktualizacja była dzisiaj. Z Twojego wpisu wynika, że masz wersję 4.3 - ta ukazała się 20.03. Potem mieliśmy dużą przebudowę 26.03.

Przy okazji:
pak -Syupoinformuje Cię o możliwej aktualizacji całego systemu, niezależnie od tego skąd pochodzi paczka i spróbuje jej dokonać (gdy się na to zgodzisz).
pak -Cpoinformuje (już bez aktualizacji) o możliwej aktualizacji wszystkich paczek, także tych, które są rozwojowymi, takimi jak z rozszerzeniem *-git (z pewnego powodu nie ma jedynie mercurialowych, ale tych paczek jest bardzo niewiele).
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: Piejanto w Marzec 29, 2020, 12:21:44 pm
@pavbaranov

Dzięki. Powoli zaczynam ogarniać najważniejsze zalety pak'a.

Zastanawiam się, jak mógłbym go rozpropagować, bo naprawdę warto.


Pozdrowienia.
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: pavbaranov w Marzec 29, 2020, 12:28:53 pm
Po prostu używaj. Za chwilę pójdzie też zmiana.
Rozpropagowanie, to jest kwestia zrobienia mu jakiegoś dobrego opisu i zrobienie wrzutki. Zrobię, ale muszę to jeszcze przemyśleć i... musi mi się chcieć napisać, a głowa w tej chwili nieco innymi sprawami zajęta.
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: Piejanto w Marzec 30, 2020, 01:30:17 pm
@pavbaranov
@nycko

Używam, używam i to na dwóch maszynkach. Fajna zabawa, a na dodatek pak daje używającemu wrażenie, że używający jest mądrzejszym niż mu się wydaje. Z jednej strony to cieszy, że jest coś takiego jak pak, a z drugiej martwi, że musiało powstać coś takiego jak pak, bo istnieją tacy jak ja, którzy bez pak-a, lub Pamac-a są bezradni jak dzieci we mgle.
Zdaje się że pak wymaga synchronizacji po każdej aktualizacji, bo już trzy razy zawinszował sobie polecenia [pak -Py].
Zaskoczyły mnie działania po poleceniu [pak -Syu]. Aktualizacja była ograomna i bardzo drobiazgowa. O ile [pacman -Syu] wymaga jedynie początkowej zgody. o tyle [pak -Syu] wymaga wielokrotnych zgód lub zaprzeczeń, co właśnie powoduje, że użytkownik czuje się ważniejszy. Hłe, hłe..
Dobrze, żeście mnie wpuścili w tego pak-a.
Dzięki.
Życzę Wam dużo zdrowia na ten zapowietrzony czas.
Do następnego.
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: pavbaranov w Marzec 30, 2020, 02:10:07 pm
Zdaje się że pak wymaga synchronizacji po każdej aktualizacji, bo już trzy razy zawinszował sobie polecenia [pak -Py].
To jest polecenie odnoszące się wyłącznie do POLAUR. Jak Ci już pisałem - aktualna zmian lista jest na stronie polskiego forum Archa. Jeśli tam widzisz, że programy, których nie używasz nie są zaktualizowane - nie musisz tego wywoływać.
Cytuj
Zaskoczyły mnie działania po poleceniu [pak -Syu]. Aktualizacja była ograomna i bardzo drobiazgowa. O ile [pacman -Syu] wymaga jedynie początkowej zgody. o tyle [pak -Syu] wymaga wielokrotnych zgód lub zaprzeczeń, co właśnie powoduje, że użytkownik czuje się ważniejszy. Hłe, hłe..
Polecenia pak -Syu od pacman -Syu różnią się w następujący sposób (pomijam kwestie uprawnień).
1. pak w ten sposób dokonuje aktualizacji systemu do aktualnego (o ile stosuje się pak -m w miarę regularnie; to ważna informacja) stanu w tzw. repozytoriach zdalnych oraz aktualizacji paczek - tu różnicy nie ma; następnie przechodzi do aktualizacji z AUR, a na koniec do aktualizacji z POLAUR. Finito.
2. różnice w "zgodach" są niewielkie i związane z tym, że pacman aktualizuje wyłącznie jedną grupę paczek, zaś pak trzy.

Dzięki za życzenia. Tobie również ich moc. Jak również dla Twojej Rodziny. Trzymajcie się.
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: Piejanto w Marzec 31, 2020, 12:07:25 am
Chyba jest jakiś problem. Zrobiłem dziś [pak -Py] a później [pak -Syu]. W końcowej fazie otrzymałem komunikaty o błędzie. Jest tak:
:: Kontynuować? [T/n]
Enter zatwierdza wybór:

:: Szukanie zależności
==> Tworzenie pakietu: phonon-qt4-vlc 0.10.2-1 (wto, 31 mar 2020, 00:02:56)
==> Sprawdzanie zależności potrzebnych do uruchomienia...
==> Sprawdzanie zależności potrzebnych do budowy...
==> Instalowanie brakujących zależności...
[sudo] hasło użytkownika jan:
rozwiązywanie zależności…
szukanie sprzecznych pakietów...

Pakiety (4) cmake-3.17.0-1  jsoncpp-1.9.1-1  rhash-1.3.9-1
            extra-cmake-modules-5.68.0-1

Do zainstalowania:  41,95 MiB

:: Kontynuować instalację? [T/n] T
(4/4) sprawdzanie kluczy w bazie                   [######################] 100%
(4/4) sprawdzanie spójności pakietów               [######################] 100%
(4/4) wczytywanie listy plików                     [######################] 100%
(4/4) sprawdzanie konfliktów plików                [######################] 100%
(4/4) sprawdzanie dostępnego miejsca na dysku      [######################] 100%
:: Przetwarzanie zmian pakietu...
(1/4) instalowanie jsoncpp                         [######################] 100%
Opcjonalne zależności dla jsoncpp
    jsoncpp-doc: documentation
(2/4) instalowanie rhash                           [######################] 100%
ostrzeżenie: Różne uprawnienia dla katalogu dla /etc/
system plików: 777 pakiet: 755
(3/4) instalowanie cmake                           [######################] 100%
Opcjonalne zależności dla cmake
    qt5-base: cmake-gui [zainstalowano]
(4/4) instalowanie extra-cmake-modules             [######################] 100%
:: Uruchamianie po-transakcji...
(1/4) Arming ConditionNeedsUpdate...
(2/4) Updating icon theme caches...
(3/4) Updating the desktop file MIME type cache...
(4/4) Updating the MIME type database...
==> Pobieranie źródeł...
  -> Pobieranie phonon-backend-vlc-0.10.2.tar.xz...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100   387  100   387    0     0   4117      0 --:--:-- --:--:-- --:--:--  4117
100   368  100   368    0     0   1448      0 --:--:-- --:--:-- --:--:--  1448
100 60568  100 60568    0     0   104k      0 --:--:-- --:--:-- --:--:--  104k
  -> Pobieranie phonon-backend-vlc-0.10.2.tar.xz.sig...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100   391  100   391    0     0   5750      0 --:--:-- --:--:-- --:--:--  5750
100   833  100   833    0     0   3470      0 --:--:-- --:--:-- --:--:--     0
==> Sprawdzanie plików source za pomocą sha256sums...
    phonon-backend-vlc-0.10.2.tar.xz ... Zgadza się
    phonon-backend-vlc-0.10.2.tar.xz.sig ... Pominięto
==> Weryfikowanie podpisów plików źródłowych za pomocą gpg...
    phonon-backend-vlc-0.10.2.tar.xz ... NIE ZGADZA SIĘ (nieznany klucz publiczny B92A5F04EC949121)

==> BŁĄD: Jeden lub więcej podpisów PGP nie może zostać zweryfikowanych!                                         ..............      - Tutaj pierwszy BŁĄD

==> Removing installed dependencies...
sprawdzanie zależności…

Pakiety (4) cmake-3.17.0-1  extra-cmake-modules-5.68.0-1  jsoncpp-1.9.1-1
            rhash-1.3.9-1

Odzyskane miejsce na dysku:  41,95 MiB

:: Czy chcesz usunąć te pakiety? [T/n] T
:: Przetwarzanie zmian pakietu...
(1/4) usuwanie extra-cmake-modules                 [######################] 100%
(2/4) usuwanie cmake                               [######################] 100%
(3/4) usuwanie rhash                               [######################] 100%
(4/4) usuwanie jsoncpp                             [######################] 100%
:: Uruchamianie po-transakcji...
(1/4) Arming ConditionNeedsUpdate...
(2/4) Updating icon theme caches...
(3/4) Updating the desktop file MIME type cache...
(4/4) Updating the MIME type database...

:: Uruchamianie aktualizacji z POLAUR...

Pakiety do aktualizacji:
pak 1:4.4.1-1 => 1:4.4.3-1

:: Zaktualizować pakiety? [T/n]

:: Instalowanie pakietu pak/

błąd: Sprawdź, czy pakiet istnieje w POLAUR: pak/                                                 .............         - Tutaj drugi bład.


To, że podpisy nie mogą być zweryfikowane, to mnie nie dziwi, bo już miewałem tego typy problem a program działał bezproblemowo.
Natomiast o co chodzi z pakietem [ pak/ ] jest dla mnie zaskoczeniem.




Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: nycko w Marzec 31, 2020, 12:33:04 am
Dokladnie w wersji 4.4.2 zostało  to naprawione. Tym razem zastosuj 'pak -P new-branded/pak'

Po prostu nastąpiła zwykła literówka czy małe niedociągnięcie w paku.

Od tego momentu można już bez problemu używać.  A na marginesie samo  -Syu wystarczy, nie trzeba używać -Py
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: pavbaranov w Marzec 31, 2020, 05:28:03 am
Janek - mały off-top - po jaką cholerę Ci paczki oparte o Qt4? (Inny wątek - one kompletnie nie są potrzebne w systemie a ze względu na porzucenie Qt 4 kilka lat temu - są potencjalnie niebezpieczne).
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: Piejanto w Marzec 31, 2020, 02:17:24 pm
@nycko Dzięki. Zostałem uspokojony.

@pavbaranov
Po prostu wyszedłem z założenia, że Arch wie lepiej, czego tam potrzeba. Ponadto, jeszcze jest faktem, że (sam to niechybnie zauważyłeś) nie zawsze wiem, co jest potrzebne do czego. Teraz, jak mi to powiedziałeś, to wiem. Prawdę mówiąc, nawet nie wiedziałem, że to mam, bo gdy przeglądam aktualizacje, to szukam głównie słowa "Błąd". Muszę teraz poszukać polecenia (o ile dobnrze pamiętam to było [-Qi],  żeby to wszystko posprawdzać i dowiedzieć się co jest do czego i czy mi jest potrzebne. Zdaje się, że wiem też jak usunąć te paczki oparte na Q4 chociaż na razie ich zupełnie nie kojarzę. Trudno mi nawet powiedzieć, ja TY, to od razu wiesz i skąd wiesz, że to akurat jest oparte na Q4, a nie na czymś innym.
Dzięki, żeś zwrócił mi na to uwagę.

@ciubaka  Ha. Ha. Szczypiorek na wiosnę jest równie uszczypliwy. Ha.Ha

Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: pavbaranov w Marzec 31, 2020, 02:31:21 pm
Janku - Załóż wątek: Czy te pakiety Qt4 są mi potrzebne? i podaj nam wynik:
pak -Qs qt4Zrobimy z tym porządek. Paczki Qt4 przeszły dawno temu do AUR, ale... to jest Arch a zatem jedynie info było na stronie i już użytkownik sam musi decydować, co potrzebne, a co nie.
Tak, czy inaczej - damy radę, choć będzie potrzebna Twoja pomoc i prawdopodobnie wielokrotne korzystanie z pak, ale - jak widzę - nawet Ci to przyjemne.
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: Piejanto w Marzec 31, 2020, 03:04:47 pm
@pavbaranov

pak -Qs qt4
local/phonon-qt4 4.10.2-5
    The multimedia framework for KDE4
local/phonon-qt4-vlc 0.10.1-2
    Phonon VLC backend for Qt4
local/pyqt4-common 4.12.3-4
    Common PyQt files shared between python-pyqt4 and python2-pyqt4
local/python-pyqt4 4.12.3-4
    A set of Python 3.x bindings for the Qt toolkit
local/python-sip-pyqt4 4.19.19-1
    Python 3.x SIP bindings for C and C++ libraries (PyQt4 version)
local/qt4 4.8.7-31
    A cross-platform application and UI framework


Dzięki. Rozumiem, że muszę to wszystko po prostu wyrzucić.

**********************

Wywaliłem wszystko z qt4.

 Teraz po poleceniu [$ pak -Qs qt4]  otrzymuję wynik [$]






Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: ciubaka w Marzec 31, 2020, 03:19:07 pm
To nie uszczypliwość, to wyraz podziwu :-)
Ja nie mam tyle cierpliwości jak coś mi nie wychodzi :-)
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: pavbaranov w Marzec 31, 2020, 05:01:17 pm
Janku - czyli prawdopodobnie owe Qt4 (i paczki na nim oparte) nie były Ci w ogóle do szczęścia potrzebne.
Powracamy do rozmów o pak :)
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: Piejanto w Marzec 31, 2020, 10:13:10 pm
@pavbaranov
" prawdopodobnie owe Qt4 (i paczki na nim oparte) nie były Ci w ogóle do szczęścia potrzebne"
Prawdopodobnie. Ty już mi kiedyś wcześniej o tym wspominałeś, ale wtedy było inne wierzgnięcie i chyba dotyczyło Qt5? - ale nie jestem pewien.
W każdym razie ja potrzebuję głównie Koffeine, które chyba potrzebuje VLC ale widzę, że obecnie VLC też opiera się na Qt5.
Ponadto potrzebuję do zabawy "Stellarium" i to mi działa. Od przedwczoraj mam SKYPE i działa mi pięknie.

co do [pak] ... Nie bardzo rozumiem jak działają wyjątki:
" operacja
 pak korzysta z większości flag pacmana, aby wykonać operacje na pakietach
 sprawdź 'man pacman', by dowiedzieć się więcej

 Istnieją jednak wyjątki, które łączą pacmana z innymi narzędziami.

:: Wyjątki:
 -Syu / -Sy / -Su / update   * aktualizuje zainstalowane pakiety (sudo -k pacman -Syu)
              sprawdza aktualizacje w AUR (jeśli 'auracle-git' jest zainstalowany)
 -Sc / clean         * usuwa kopie odinstalowanych pakietów (sudo -k pacman -Sc)
              oraz pobrane pliki niezainstalowanych pakietów z pamięci podręcznej AUR

Czy pak aktualizuje mi cały system czy tylko Polaur-a i AUR-a gdy polecam [pak -Syu]?

Dalej, czy jest jakiś system, który pozwoli mi w sposób logiczny sformułować polecenie, czy też po prostu muszę się tego wykuć?
np. wiem że [-S] chyba chodzi o "Synchronizacja", a "u" chodzi chyba o "upgrade" - tak sobie to tłumaczę.
Ale jeśli chodzi o synchronizację pakietów POLAUR,  mamy polecenie [pak -Py] i znów przestaję rozumieć.
Bardzo piękne polecenie [pak -Qs qt4] rozumiem, że jest to "Question" o pakiety w których występuje qt4, ale już "s" nie ogarniam.
Następne, to polecenie z pacmana [pacman -Qi] bo kiedyś mi takie podałeś i to chodziło o informację do czego coś jest wykorzystywane.
Czy jest jakaś logika składni?
Dlaczego wielka litera "S", a kiedy mała litera"s"?
Dlaczego czasem mamy [-] przed treścią polecenia, a kiedy jest [--], tak jak to miałem w informacji [błędna opcja --P] ?
Co dokładnie znaczy słowo "flagi"?
I jeszcze jedno: - jakie znaczenie ma kolejność poszczególnych składników polecenia?
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: pavbaranov w Marzec 31, 2020, 11:10:05 pm
co do [pak] ... Nie bardzo rozumiem jak działają wyjątki:
" operacja
 pak korzysta z większości flag pacmana, aby wykonać operacje na pakietach
 sprawdź 'man pacman', by dowiedzieć się więcej

 Istnieją jednak wyjątki, które łączą pacmana z innymi narzędziami.

:: Wyjątki:
 -Syu / -Sy / -Su / update   * aktualizuje zainstalowane pakiety (sudo -k pacman -Syu)
              sprawdza aktualizacje w AUR (jeśli 'auracle-git' jest zainstalowany)
 -Sc / clean         * usuwa kopie odinstalowanych pakietów (sudo -k pacman -Sc)
              oraz pobrane pliki niezainstalowanych pakietów z pamięci podręcznej AUR
Te "wyjątki" niech Ci głowy nie zaprzątują, ale już tłumaczę.
Taki wyjątek - pierwszy z brzegu - masz przy próbie wywołania programu: pacman wymaga poprzedzenia go przez sudo lub działania na koncie roota, pak - wymaga podwyższonych uprawnień wyłącznie gdy w istocie coś jest do zaktualizowania, a samej aplikacji na prawach roota nie wywołasz w ogóle. Ta zmiana jest podyktowana względami bezpieczeństwa. Rozwiązanie przyjęte w pak jest bezpieczniejsze od najpopularniejszego wywołania sudo pacman.
Druga grupa zmian łączy się z leżącą u podstaw przyjętych przy pak pomysłem, by był to w istocie "menedżer" paczek, który jest zgodny z Archem. W Archu pisze się i wspomina tu i ówdzie (ale w wiki), że "pacman nie wspiera tzw. częściowej aktualizacji", ale niemniej jednak pozwala bez problemu na jej przeprowadzenie. Z uwagi na sposób budowania paczek w Archu zapewnienie pełnej aktualizacji systemu w niemal każdym możliwym przypadku (wyjątek to świadome działanie odpowiedzialnego użytkownika) jest kluczowe dla prawidłowego i poprawnego działania tego systemu. Stąd każda próba instalacji jakiejkolwiek paczki (nie ma znaczenia, czy z repozytoriów, czy z AUR, czy z POLAUR) zanim przejdzie do instalacji, przeprowadzi kompleksową aktualizację systemu.
Reszta jest mniej istotna. Dla normalnego użytkownika zmiany winny być do ewentualnego przyjęcia w przeciągu przysłowiowych 5 minut. Jeśli komuś jednak np. działanie pak -przy czyszczeniu cache paczek denerwuje, to nic nie stoi na przeszkodzie, by nadal korzystał w tym zakresie z pacmana.

Cytuj
Czy pak aktualizuje mi cały system czy tylko Polaur-a i AUR-a gdy polecam [pak -Syu]?
Chyba wytłumaczyłem: oczywiście - pak -Syu dokonuje (oczywiście jeśli się na to zgodzisz) pełnej, kompleksowej aktualizacji całego systemu. Wyjątek stanowią tzw. paczki vcs (czyli te, które mają sufix typu *-git, *-svn czy *-hg; oraz tych, które w AUR są takie, ale nie są w ten sposób - w niezgodzie zresztą z wytycznymi ich budowy - nazwane), których aktualizacją musi się zająć sam użytkownik. Wynika to ze sposobu pisania dla takich paczek PKGBUILDów i konieczności ich aktualizacji (PKGBUILDów, nie paczek). Pak ma jednak nawet również narzędzie służące do sprawdzania aktualności naszych paczek budowanych z VCS.
Cytuj
Dalej, czy jest jakiś szyfr, który pozwoli mi w sposób logiczny sformułować polecenie, czy też po prostu muszę się tego wykuć?
np. wiem że [-S] chyba chodzi o "Synchronizacja", a "u" chodzi chyba o "upgrade" - tak sobie to tłumaczę.
Jeśli dobrze Cię rozumiem - przyjęty system jest rozwinięciem tego, który jest stosowany w pacmanie, a zatem wspomniane "-Syu" - tłumaczy się dokładnie tak jak tam. Nie odpowiem Ci jednak co kierowało twórcami pacmana, że przyjęli taki, a nie inny system "klawiszologii".
Cytuj
Ale jeśli chodzi o synchronizację pakietów POLAUR,  mamy polecenie [pak -Py] i znów przestaję rozumieć.
Po prostu: litera "P" pochodzi od POLAUR, a "synchronizacja" to w istocie owe "y" - i jest to konsekwentne z pacmanem.
Cytuj
Bardzo piękne polecenie [pak -Qs qt4] rozumiem, że jest to "Question" o pakiety w których występuje qt4, ale już "s" nie ogarniam.
I tu wchodzimy w kwestie... znajomości pacmana, albowiem niczego w tym zakresie nie zmieniamy. Polecenia pak -Qs i pacman -Qs są równoważne (to pierwsze po prostu wywołuje to drugie - nic więcej. Nawet na tym forum jest przypięta tabela poleceń m.in. pacmana: https://forum.linuxiarze.pl/index.php/topic,3871.0.html (https://forum.linuxiarze.pl/index.php/topic,3871.0.html)
Cytuj
Następne, to polecenie z pacmana [pacman -Qi] bo kiedyś mi takie podałeś i to chodziło o informację do czego coś jest wykorzystywane.
Czy jest jakaś logika składni?
Taka sama jak wyżej. Polecenia przejęte w 100% z pacmana, a zatem o "logikę" składni proszę pytać twórców. Ogólnie wielka litera następująca po "pacman" to jest główna "operacja", pod którą można niekiedy dodać dalsze operatory. Jak "tłumaczone" są te wielkie litery: pacman -h O ile jednak bez problemu jestem w stanie przyjąć, że "Q" pochodzi od "query" (zapytanie) i w istocie pacman -Q dokonuje "odpytania" swej bazy, to bladego pojęcia nie mam dlaczego pytanie o "obce" paczki to: pacman -Qm
Cytuj

Dlaczego wielka litera "S", a kiedy mała litera"s"?
Albowiem tak to twórca pacmana przyjął, a pak jedynie to powielił by nie trzeba było się dodatkowo jeszcze uczyć poleceń pak, które są tożsame lub bliźniacze w swym celu do pacmana.
Cytuj
Dlaczego czasem mamy [-] przed treścią polecenia, a kiedy jest [--], tak jak to miałem w informacji [błędny --P] ?
Najogólniej - jak coś Wielką literą, to [-], w odmiennym przypadku [--]. Zgodne z pacmanem.
Cytuj
Co dokładnie znaczy słowo "flagi"?
Przejęte z angielskiego informatycznego w polskim informatycznym 1:1. Myślę, że może lepszym byłoby tłumaczenie "operatory", ale nikt nie będzie wylewał czegoś co od kilkudziesięciu lat funkcjonuje.
Cytuj
I jeszcze jedno: - jakie znaczenie ma kolejność poszczególnych składników polecenia?
Nie bardzo rozumiem, ale jeśli się nie mylę, to w przypadku większości polecań nie ma znaczenia. Jeśli jednak coś stanowi "nazwę samą w sobie", to już ma. Np. w pak --vcs te trzy litery "vcs" są nazwą, a nie trzema oddzielnymi literkami, z których każda ma znaczenie (tzn. ma, bo VCS to skrótowiec).
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: Piejanto w Kwiecień 01, 2020, 01:27:23 am
@pavbaranov
Dobra.
Powoli mi się układa..
Do aktualizacji chyba na razie wolę pacmana. Zamiast [sudo pacman] zaczynam od [su], a następnie wpisuję hasło i polecenie [pacman -Syu].
Jest zdecydowanie szybciej i chyba równie pewnie.
To po wierzgnięciu Pamaca. Od tamtego czasu używałem wyłącznie pacmana i się przyzwyczaiłem.
Kilka razy aktualizowałem pak-iem, ale nieco mnie zwiodło to, że pokazuje, że aktualizacja jest POLAUR i AUR. A co do tych poleceń to:
 pak po wywołaniu od razu pokazuje na jakie polecenia jak reaguje, ale wyjątki były dla mnie nieco mało jasne w tłumaczeniu.

Dzięki za pomoc.
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: Piejanto w Kwiecień 01, 2020, 10:33:22 am
@pavbaranov
Ju ż wiem dlaczego zdrefiłem w sprawie aktualizacji zrobionej przez pak'a. Otóż, po aktualizacji zrobionej przez pak'a, Pamac dalej sygnalizował na czerwono, że jest do zrobienia aktualizacja. Chodziło o to, że w trakcie robienia aktualizacji, pojawiła się nowa aktualizacja. Dziś to zrobiłem znów pak'iem i Pamac wyłączył sygnalizację.
A teraz następny problem: aktualizacja robiona pak'iem wykazuje ostrzeżenia (pacman mi tego nie pokazuje. Cenna zaleta pak'a).
Jest tak:

:: Uruchamianie aktualizacji z AUR...
ostrzeżenie: lib32-libtxc_dxtn => zainstalowana: 1.0.1-5, dostępna: 1.0.1-1, opiekun: llde, oflagowana: Nie
ostrzeżenie: libtxc_dxtn => zainstalowana: 1.0.1-6, dostępna: 1.0.1-1, opiekun: llde, oflagowana: Nie
ostrzeżenie: sbsms => zainstalowana: 2.0.2-3, dostępna: 2.0.2-3, opiekun: Brak, oflagowana: Nie
ostrzeżenie: vuescan-bin => zainstalowana: 9.7.x-1, dostępna: 9.7.x-1, opiekun: FabioLolix, oflagowana: Tak

I teraz tak: [vuescan-bin] chyba mogę wyrzucić bez żalu, bo to coś zainstalowałem, gdy szukałem programu do obsługi skanera. Ale nie korzystam z tego.
Wątpliwości pojawiają się przy innych tych wcześniejszych ostrzeżeniach. Czy te "nieoflagowane" są mi potrzebne i co znaczy, że jakiś program jest "oflagowany". Pamiętam, że na określenie "flagi", lepsze byłoby określenie "operatory", ale nie wiem jakie w tym przypadku jest znaczenie oznaczenia programu "operatorami"?
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: robson75 w Kwiecień 01, 2020, 11:45:15 am
To ja się podłącze pod temat i zadam pytanie odnośnie paka.
Gdzie należy zmienić w pak.conf aby repozytoria POLAUR nie były umieszczane w katalogu .cache tylko dajmy na to w .config/pak?
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: pavbaranov w Kwiecień 01, 2020, 12:01:52 pm
Gdzie należy zmienić w pak.conf aby repozytoria POLAUR nie były umieszczane w katalogu .cache tylko dajmy na to w .config/pak?
Opisane. W pliku pak.conf, najlepiej "własnym", czyli tym w ~/.config. Opis jest oczywiście pod: man pak.conf
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: Piejanto w Kwiecień 01, 2020, 10:42:45 pm
@pavbaranov
Ciekawiej mi sie porobiło na netbooku.
polecenie [pak -Syu] rozpoczyna aktualizacje, a po stwierdzeniu, że "nic nie ma do zrobienia",
zaczyna instalować pakiet [python2-gnomekeyring] po czym wyrzuca bład. Jest tak:


"Rozpoczynanie pełnej aktualizacji systemu…
 nie ma nic do zrobienia

:: Instalowanie pakietu python2-gnomekeyring
==> PKGBASE: gnome-python-desktop

:: Najnowsze zmiany...
brak zmian od czasu ostatniej instalacji

:: Sprawdzanie poprawności PKGBUILD...
PKGBUILD (gnome-python-desktop) E: Missing description in PKGBUILD

:: Edytować PKGBUILD? [T/n]
:: Kontynuować? [T/n]
Enter zatwierdza wybór: T

:: Szukanie zależności
Niektóre zależności nie zostały odnalezione w oficjalnych repozytoriach dla pakietu gnome-python-desktop
Sprawdź PKGBUILD w: /home/jan/.cache/pak/pkgs/gnome-python-desktop

gnome-python-desktop wymaga wcześniejszego zbudowania:
gnome-python
python2-wnck
gnome-python

 Instalacja przerwana"


O co chodzi?
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: pavbaranov w Kwiecień 02, 2020, 02:52:38 am
Cytuj
polecenie [pak -Syu] rozpoczyna aktualizacje, a po stwierdzeniu, że "nic nie ma do zrobienia",
zaczyna instalować pakiet [python2-gnomekeyring]
Nic tu ciekawego nie widzę. Stwierdza, że "nic nie ma do zrobienia", albowiem nie istnieje żadna paczka z repozytoriów, które masz udostępnione w tym netbooku do aktualizacji. I na 100% nie "zaczyna instalować pakiet python2-gnomekeyring", albowiem pak niczego nie zainstaluje, jeśli tego nie chcesz. Zaczyna zatem - po Twoim potwierdzeniu, bo inaczej się nie da, aktualizować paczkę, którą zainstalowałeś w swoim systemie, a która pochodzi z AUR (nie wiem do czego Ci ona potrzebna, ale to już nie jest moja sprawa).
Cytuj
po czym wyrzuca bład. Jest tak:
"Rozpoczynanie pełnej aktualizacji systemu…
 nie ma nic do zrobienia
I tak ma być. Pisałem już - pak uniemożliwia częściową aktualizację, a zatem przed każdą instalacją/aktualizacją paczek z AUR (POLAUR) dokonuje wpierw sprawdzenia, czy jakieś paczki nie są do aktualizacji z repozytorium, a dopiero potem buduje paczkę z AUR (POLAUR).
Cytuj
:: Instalowanie pakietu python2-gnomekeyring
==> PKGBASE: gnome-python-desktop

:: Najnowsze zmiany...
brak zmian od czasu ostatniej instalacji
I tu nic ciekawego nie widzę. Pak wyświetlił Ci komentarze, których nie ma.
Cytuj
:: Sprawdzanie poprawności PKGBUILD...
PKGBUILD (gnome-python-desktop) E: Missing description in PKGBUILD
Cóż - zaniedbanie opiekuna PKGBUILDu. Nie odpowiadamy za ich jakość.
Cytuj
:: Edytować PKGBUILD? [T/n]
:: Kontynuować? [T/n]
Enter zatwierdza wybór: T

:: Szukanie zależności
Niektóre zależności nie zostały odnalezione w oficjalnych repozytoriach dla pakietu gnome-python-desktop
Sprawdź PKGBUILD w: /home/jan/.cache/pak/pkgs/gnome-python-desktop

gnome-python-desktop wymaga wcześniejszego zbudowania:
gnome-python
python2-wnck
gnome-python

 Instalacja przerwana"

O co chodzi?
No chodzi dokładnie o do co zostało Ci napisane. Pakiet gnome-python-desktop, który jest budowany z AUR wymaga jakichś zależności. Pak przeszukał czy istnieją one w repozytoriach i poinformował Cię, że ich nie ma. Poinformował również, że zależnościami tymi są:
- gnome-python
- python2-wnck
- gnome-python (tu nie wiem dlaczego po raz drugi, wygląda to na tę samą paczkę, co wyżej).
Poinformował również, że aby zbudować z AUR paczkę gnome-python-desktop, wcześniej musisz zbudować z AUR paczki gnome-python i python2-wnck. Pak nie otrzymał i nie otrzyma w dającej się przewidzieć przyszłości, funkcjonalności tzw. kaskadowego budowania paczek zależnych z AUR/POLAUR. Informuje o takiej konieczności, informuje gdzie możesz sobie to sprawdzić, co do budowy jest konieczne.
Innymi słowy jeśli paczka P jest w AUR oparta jest o paczki A, B, C z czego wyłącznie A jest w repozytorium, to paczka A zostanie zainstalowana, ale paczki B i C będziesz musiał zbudować i zainstalować przed budową i instalacją paczki P. Jeśli paczki B i/lub C są oparte o inne jeszcze paczki do zbudowania z AUR, to historia się powtórzy.

I nie - nie ma co prosić o tę kaskadową budowę paczek z AUR/POLAUR. Sprawa została przeanalizowana. Pierdyliard roboty dla Damiana, a efekt tego i tak bardzo mizerny i nieobliczalny raczej. Cóż - zawsze powtarzam: po instalacji pierwszej paczki z AUR (POLAUR) osoba, która tego dokonała staje się odpowiedzialną za swój system i musi o niego dbać we własnym zakresie. Ze wszystkimi tego konsekwencjami. Pak jedynie ułatwia pewne rzeczy (i to nawet całkiem sporo), ale nie zwolni takiego użytkownika od obowiązków, które na siebie przyjął.
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: Piejanto w Kwiecień 02, 2020, 10:55:51 pm
@pavbaranov
No, dobrze, ale po kiego grzyba on w ogóle się zabrał za tę paczkę o nazwie [python2-gnomekeyring]???
Ja ani mu nie kazałem, ani nawet nie wiem, do czego byłaby mi potrzebna.
Po prostu wykonał aktualizację i ja rozumiem, że mi powiedział, że nie ma nic do zrobienia, bo wielokrotnie miałem takie komunikaty, gdy puściłem na próbę polecenie aktualizacji.
Ale on tutaj po stwierdzeniu, że nie ma niczego do zrobienia, zaczyna sam z siebie jakąś instalację, po czym stwierdza, że INSTALACJA została przerwana.
A jakim prawem w ogóle ta instalacja?
Akurat na netbooku prawie niczego nie mam, gdyż jest tak stary, że służy mi głównie do oglądania televizji pod kontrolą Kaffeine. Pulpit też mam xfce.
Sprawdziłem czy nie ma czegoś z [qt4] - nie ma.
Aha... zainstalowałem mu także SKYPE.
Ale gdyby SKYPE potrzebował [python2-gnomekeyring], to by doinstalował w trzkcie instalacji samego SKYPE.

****************
Przed chwilą włączyłem netbooka. Pamac pokazał, że jest aktualizacja. Wrzuciłem [pacman -Syu] zrobiło bezbłednie aktualizacje i kontrolka pamac'a zgasła.
Wrzuciłem mu polecenie [pak -Syu]. Powiedział, że nie ma nic do zrobienia i zapytał czy ma instalować [python2-gnomekeyring]. Skoro pyta, więc może do czegos mu to potrzebne. Przyklepałem "T".
Znów podobna sytuacja.
Pytanie:
Dlaczego on mnie pyta czy zainstalować [python2-gnomekeyring], gdy go aktualizuje pak'iem?



Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: nycko w Kwiecień 02, 2020, 11:28:56 pm
przecież to co pokazujesz, to są jakieś komunikaty z bardzo archiwalnej wersji pak-a, nie nowszej niż 3.7 ze stycznia . Po co to nam wklejasz? Jak mamy się do tego ustosunkować? Uaktualnij w końcu paka do najnowszej wersji!
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: pavbaranov w Kwiecień 02, 2020, 11:57:47 pm
@piejanto - Zaczynam się jeżyć :) Pomijam już to, że - jak pisze @nycko - zaktualizuj PAK!. Doprawdy nie mamy ochoty zastanawiać się co robiła, jak robiła itd. jakaś wersja PAK sprzed dwu miesięcy.
Zatem:
pak -P new-branded/pakTo po pierwsze.

Po drugie: drugi raz Ci odpowiadam:
No, dobrze, ale po kiego grzyba on w ogóle się zabrał za tę paczkę o nazwie [python2-gnomekeyring]???
Ja ani mu nie kazałem, ani nawet nie wiem, do czego byłaby mi potrzebna.
Wydałeś polecenie:
pak -SyuKtóre: pak -h dokonuje:
* aktualizuje zainstalowane pakiety (sudo -k pacman -Syu)
sprawdza aktualizacje w AUR (jeśli 'auracle-git' jest zainstalowany)
Po stwierdzeniu braku kandydatów do aktualizacji z repozytoriów zostałeś poinformowany: "nie ma nic do zrobienia" i pak przeszedł do sprawdzania paczek, które masz zbudowane z AUR, albo masz je zainstalowane jak były w repozytorium, ale obecnie są przeniesione do AUR. Paczki python2-gnomekeyring PAK sobie nie wymyślił. Nie istnieje taka możliwość. Musiałeś ją mieć zainstalowaną u siebie, albowiem tak to działa. Odpytywana jest lokalna baza zainstalowanych pakietów (stąd PAK) wie, jakie masz i ta baza jest porównywana z tym, co jest dostępne:
- w przypadku paczek z repozytoriów: na mirrorze, który udostępniłeś systemowi,
- w przypadku paczek z AUR - w skrócie - z AUR.
Nie istnieje absolutnie żadna możliwość zainstalowania przez pak w trybie aktualizacji jakiejkolwiek paczki, której nie masz zainstalowanej już wcześniej - wyjątek to gdyby nowa wersja miała jakąś nowszą zależność, której nie masz.
Dodatkowo nie istnieje możliwość, aby paczka z AUR została zainstalowana "automatycznie". Musisz potwierdzić chęć takiej instalacji i najwyraźniej świadomie, bądź nie to zrobiłeś.
Cytuj
Ale on tutaj po stwierdzeniu, że nie ma niczego do zrobienia, zaczyna sam z siebie jakąś instalację,
To zdanie - jak to mówią w moim zawodzie - nie polega na prawdzie :) Sam z siebie pak dokonuje wyłącznie jednej rzeczy: aktualizacji systemu przy instalacji jakiejkolwiek paczki. To w istocie jest wymuszone, ale błagam nie wmawiaj mi, że "zaczyna sam z siebie jakąś instalację", a jak wynika z wcześniejszych Twoich zdań, nawet paczki, której nie masz zainstalowanej. Nie jest to możliwe! Skrypt na to nie pozwala.
Cytuj
po czym stwierdza, że INSTALACJA została przerwana.
To już wytłumaczyłem uprzednio.
Cytuj

A jakim prawem w ogóle ta instalacja?
Albowiem tego chciałeś.
Cytuj
Ale gdyby SKYPE potrzebował [python2-gnomekeyring], to by doinstalował w trzkcie instalacji samego SKYPE.
Doprawdy nie wiem po co Ci ta paczka, ale łatwo możesz sobie sprawdzić:
pak -Qi python2-gnomekeyringJeśli obecnie stwierdzi, że żaden program tego nie wymaga oraz, że nie została ta paczka zainstalowana jako zależność innej, to doprawdy nie wiem po co to zainstalowałeś.
Cytuj
Przed chwilą włączyłem netbooka. Pamac pokazał, że jest aktualizacja. Wrzuciłem [pacman -Syu] zrobiło bezbłednie aktualizacje i kontrolka pamac'a zgasła.
Wrzuciłem mu polecenie [pak -Syu]. Powiedział, że nie ma nic do zrobienia i zapytał czy ma instalować [python2-gnomekeyring]. Skoro pyta, więc może do czegos mu to potrzebne. Przyklepałem "T".
Znów podobna sytuacja.
Pytanie:
Dlaczego on mnie pyta czy zainstalować [python2-gnomekeyring], gdy go aktualizuje pak'iem?
Przecież Ci to już wytłumaczyłem: albowiem ta paczka ma nowszą wersję w AUR niż ta, którą masz zainstalowaną
Polecenia:
pacman -Syuoraz aktualizacja w pamac, jeśli ten nie ma zaznaczonej również opcji instalacji/aktualizacji z AUR wykonają jedynie aktualizację paczek, które są w repozytoriach. Nie zrobią nic z paczkami z AUR. Pierwsze - bo w ogóle nie ma takiej możliwości, drugie - bo nie ma jej zaznaczonej (gdyby miał, to efekt działania aktualizacji przez pamac i pak są takie same).
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: Piejanto w Kwiecień 03, 2020, 08:57:37 pm
Panowie
@nycko
@pavbaranov

[pak -P new-branded/pak] robiłem i po tym zaoinstalowałem sobie SKYPE. Teraz mówie o moim netbooku. Z laptopem takich problemów nie mam. Teraz znów zrobiłem aktualizację pacmanem, żeby później pokazać o co chodzi z pak'iem. Teraz przesyłam Wam cały proces aktualizacji pak'iem po aktualizacji zrobionej pacmanem i restarcie komputera. Proszę, tak to wyglada w całości:


[jan@jan ~]$ pak -P new-branded/pak
 Repozytoria POLAUR nie zostały jeszcze zsynchronizowane. Użyj 'pak -Py'

[jan@jan ~]$ pak -Py

:: Synchronizowanie repozytoriów POLAUR...

 => aur-rebased
Cloning into 'aur-rebased'...
remote: Enumerating objects: 373, done.
remote: Counting objects: 100% (373/373), done.
remote: Compressing objects: 100% (291/291), done.
remote: Total 3223 (delta 116), reused 315 (delta 77), pack-reused 2850
Receiving objects: 100% (3223/3223), 12.44 MiB | 4.77 MiB/s, done.
Resolving deltas: 100% (1527/1527), done.

 => debug
Cloning into 'debug'...
remote: Enumerating objects: 1060, done.
remote: Total 1060 (delta 0), reused 0 (delta 0), pack-reused 1060
Receiving objects: 100% (1060/1060), 150.35 KiB | 601.00 KiB/s, done.
Resolving deltas: 100% (506/506), done.

 => highest-experimental
Cloning into 'highest-experimental'...
remote: Enumerating objects: 137, done.
remote: Counting objects: 100% (137/137), done.
remote: Compressing objects: 100% (85/85), done.
remote: Total 248 (delta 47), reused 121 (delta 33), pack-reused 111
Receiving objects: 100% (248/248), 67.33 KiB | 569.00 KiB/s, done.
Resolving deltas: 100% (81/81), done.

 => new-branded
Cloning into 'new-branded'...
remote: Enumerating objects: 634, done.
remote: Counting objects: 100% (634/634), done.
remote: Compressing objects: 100% (538/538), done.
remote: Total 2712 (delta 128), reused 571 (delta 83), pack-reused 2078
Receiving objects: 100% (2712/2712), 31.13 MiB | 4.45 MiB/s, done.
Resolving deltas: 100% (1024/1024), done.

 => pkg-trunk
Cloning into 'pkg-trunk'...
remote: Enumerating objects: 14, done.
remote: Counting objects: 100% (14/14), done.
remote: Compressing objects: 100% (11/11), done.
remote: Total 5288 (delta 4), reused 13 (delta 3), pack-reused 5274
Receiving objects: 100% (5288/5288), 75.48 MiB | 5.38 MiB/s, done.
Resolving deltas: 100% (2680/2680), done.

 => recompilated
Cloning into 'recompilated'...
remote: Enumerating objects: 9, done.
remote: Total 9 (delta 0), reused 0 (delta 0), pack-reused 9
Receiving objects: 100% (9/9), done.
Resolving deltas: 100% (1/1), done.

 => repo-refreshed
Cloning into 'repo-refreshed'...
remote: Enumerating objects: 340, done.
remote: Counting objects: 100% (340/340), done.
remote: Compressing objects: 100% (239/239), done.
remote: Total 7042 (delta 131), reused 277 (delta 74), pack-reused 6702
Receiving objects: 100% (7042/7042), 4.88 MiB | 3.02 MiB/s, done.
Resolving deltas: 100% (3527/3527), done.

 => wip
Cloning into 'wip'...
remote: Enumerating objects: 19, done.
remote: Counting objects: 100% (19/19), done.
remote: Compressing objects: 100% (11/11), done.
remote: Total 1675 (delta 5), reused 18 (delta 4), pack-reused 1656
Receiving objects: 100% (1675/1675), 1.37 MiB | 2.34 MiB/s, done.
Resolving deltas: 100% (757/757), done.
[jan@jan ~]$ pak -P new-branded/pak

:: Instalowanie pakietu new-branded/pak

:: Edytować PKGBUILD? [T/n]
:: Kontynuować? [T/n]
Enter zatwierdza wybór: T

==> Tworzenie pakietu: pak 1:4.5-1 (pią, 3 kwi 2020, 20:37:06)
==> Sprawdzanie zależności potrzebnych do uruchomienia...
==> Sprawdzanie zależności potrzebnych do budowy...
==> Pobieranie źródeł...
  -> Pobieranie pak-4.5.tar.gz...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 50660  100 50660    0     0   113k      0 --:--:-- --:--:-- --:--:--  113k
==> Sprawdzanie plików source za pomocą sha256sums...
    pak-4.5.tar.gz ... Zgadza się
==> Rozpakowywanie źródeł...
  -> Rozpakowywanie pak-4.5.tar.gz za pomocą bsdtar
==> Wchodzenie do środowiska fakeroot...
==> Rozpoczynanie package()...
==> Sprzątanie instalacji...
  -> Usuwanie libtool plików...
  -> Usuwanie niechcianych plików...
  -> Usuwanie statycznych plików bibliotek
  -> Wyrzucanie niepotrzebnych symboli z plików binarnych i bibliotek
  -> Kompresowanie stron man oraz info...
==> Sprawdzanie problemów z pakietami...
==> Tworzenie pakietu "pak"...
  -> Generowanie pliku .PKGINFO...
  -> Generowanie pliku .BUILDINFO...
  -> Dodawanie pliku changelog...
  -> Generowanie pliku .MTREE...
  -> Kompresowanie pakietu...
==> Opuszczanie środowiska fakeroot.
==> Ukończono tworzenie: pak 1:4.5-1 (pią, 3 kwi 2020, 20:37:15)
==> Instalowanie pakietu pak za pomocą pacman -U...
[sudo] hasło użytkownika jan:
wczytywanie pakietów…
rozwiązywanie zależności…
szukanie sprzecznych pakietów...

Pakiety (1) pak-1:4.5-1

Do zainstalowania:       0,12 MiB
Zmiana po aktualizacji:  0,03 MiB

:: Kontynuować instalację? [T/n] T
(1/1) sprawdzanie kluczy w bazie                   [######################] 100%
(1/1) sprawdzanie spójności pakietów               [######################] 100%
(1/1) wczytywanie listy plików                     [######################] 100%
(1/1) sprawdzanie konfliktów plików                [######################] 100%
(1/1) sprawdzanie dostępnego miejsca na dysku      [######################] 100%
:: Przetwarzanie zmian pakietu...
(1/1) aktualizowanie pak                           [######################] 100%
Nowe opcjonalne zależności dla pak
    auracle-git: (AUR) to manage AUR packages [zainstalowano]
    downgrade: (AUR) to downgrade packages
:: Uruchamianie po-transakcji...
(1/1) Arming ConditionNeedsUpdate...
[jan@jan ~]$ pak -Syu
:: Uruchamianie aktualizacji systemu...
 nie ma nic do zrobienia

:: Uruchamianie aktualizacji z AUR...
ostrzeżenie: python2-gnomekeyring => zainstalowana: 2.32.0-18, dostępna: 2.32.0-20, opiekun: twa022, oflagowana: Nie
ostrzeżenie: vuescan-bin => zainstalowana: 9.7.x-1, dostępna: 9.7.x-1, opiekun: FabioLolix, oflagowana: Tak

Pakiety do aktualizacji:
python2-gnomekeyring 2.32.0-18 => 2.32.0-20

ostrzeżenie: Pakiety zostaną zaktualizowane w kolejności alfabetycznej. Przerwij aktualizację, jeśli jakikolwiek pakiet musi zostać zaktualizowany przed innym widniejącym na liście. W takim przypadku wykonaj pak -SA nazwa_pakietu, następnie uruchom aktualizację jeszcze raz.

:: Zaktualizować pakiety? [T/n]
:: Uruchamianie aktualizacji systemu...
[sudo] hasło użytkownika jan:
:: Synchronizowanie baz danych z pakietami…
 core jest aktualne
 extra jest aktualne
 community jest aktualne
 multilib jest aktualne
 chaotic-aur           969,8 KiB   631 KiB/s 00:02 [######################] 100%
:: Rozpoczynanie pełnej aktualizacji systemu…
 nie ma nic do zrobienia

:: Instalowanie pakietu python2-gnomekeyring
==> PKGBASE: gnome-python-desktop

:: Najnowsze zmiany...
brak zmian od czasu ostatniej instalacji

:: Sprawdzanie poprawności PKGBUILD...
PKGBUILD (gnome-python-desktop) E: Missing description in PKGBUILD

:: Edytować PKGBUILD? (t/n)
Przerwane przez użytkownika

:: Kontynuować? [T/n]
Enter zatwierdza wybór: T

:: Szukanie zależności
Niektóre zależności nie zostały odnalezione w oficjalnych repozytoriach dla pakietu gnome-python-desktop
Sprawdź PKGBUILD w: /home/jan/.cache/pak/pkgs/gnome-python-desktop

gnome-python-desktop wymaga wcześniejszego zbudowania:
gnome-python
python2-wnck
gnome-python

 Instalacja przerwana

:: Uruchamianie aktualizacji z POLAUR...
 Repozytoria POLAUR nie zostały jeszcze zsynchronizowane. Użyj 'pak -Py'
[jan@jan ~]$


Oczywiście mogłem mu wklepać 'n' zamiast 'T' gdy mnie pyta czy zainstalować [python2-gnomekeyring] ale chciałem żeby było jak poprzednio
Jeśli coś tutaj chrzanię, to przepraszam, ale ja to aktualizuję jednakowo na laptopie jak i na netbooku.
I w obu przypadkach mam w zasadzie wszystko tak samo, prócz [Stellarium], które mi na netboku nie chodzi ze względu na zbyt starą kartę graficzną.

Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: nycko w Kwiecień 03, 2020, 09:19:42 pm
Podaj proszę wynik polecenia
pak -rd python2-gnomekeyringoraz  wynik polecenia
ls -al ~/.cache/pak
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: pavbaranov w Kwiecień 03, 2020, 09:37:07 pm
Do jasnej cholery. Janek - masz z jakiegoś powodu zainstalowaną paczkę python2-gnomekeyring. Z jakiego? Bóg raczy wiedzieć, ale sama się z siebie nie wzięła. Musiałeś coś mieć zainstalowane z repozytorium!, które tego potrzebowało. Od końca stycznia ta paczka jest przez Archa porzucona i przeszła do AUR. Skoro masz ją zainstalowaną, to pak sprawdzając dostępne aktualizacje musi Ci pokazać, że paczka którą masz w systemie zainstalowaną jest w wersji starszej niż ta, którą możesz zbudować z AUR.
To jest proste jak konstrukcja cepa.
Paczka python2-gnomekeyring wymaga innych jeszcze zależności, których również nie ma w repozytorium - są w AUR. Muszą one zostać zainstalowane bądź przebudowane (jeśli mają nowsze wersje) przed jej budową. Nie moja rzecz czy Tobie potrzebna jest ta paczka, czy nie - PAK - w tym zakresie działa prawidłowo i tak jak to twórca/-y wymyślili. Niestety używanie pak nie zwalnia od opieki nad swoim systemem, jeśli do niego wprowadzone zostały paczki obce repozytoriom.
To, że jakieś paczki przechodzą z repozytoriów do AUR jest normalną rzeczą. Są programy - jak np. Qt4 (to jest przykład) - które nie są już wspierane nadal przez ich twórców. Nie istnieje zatem możliwość ich odpowiedzialnego, dalszego oferowania w systemie. Przechodzą do AUR, co zwalnia opiekunów Archa o dbania o nie. Inaczej musieliby przejąć cały ich kod i zapewnić prawidłowe działanie w tym przede wszystkim tzw. poprawki bezpieczeństwa. Są dystrybucje, które w tym zakresie wciskają kit (nie będę ich wymieniać). Są takie, które mówią: oferowaliśmy paczkę X - została porzucona - nie możemy zapewnić dalszego prawidłowego działania - wrzucamy ją w COŚ (AUR) i jeśli nadal chcesz/potrzebujesz jej używać, to używasz tego na własne życzenie i odpowiedzialność.

Twoje nas męczenie w tym momencie sprowadza się do pytania: po jakiego grzyba zainstalowałem niegdyś paczkę python2-gnomekeyring (może bezwiednie). Na to pytanie odpowiedź można udzielić sobie poprzez komendy wcześniej Ci wskazane. Niestety lub stety, ale nikt z nas nie jest opiekunem Twojego systemu i nie ma możliwości racjonalnego odpowiedzenia na to, czy w istocie tej paczki potrzebujesz, czy nie. Możemy domniemywać na podstawie pewnych danych (których brak), ale i tak odpowiedź na nie będzie obarczona pewnym błędem, który nie ma nic wspólnego z pak.

Innymi słowy - od kilku dni przebijamy się czymś, co nie ma nic wspólnego z "posługiwaniem się programem PAK", a jedynie z brakiem Twojego rozeznania w zakresie swojego systemu.

I tu niestety... mimo szczerych chęci... odpadam.
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: Piejanto w Kwiecień 03, 2020, 11:56:44 pm
@pavbaranov
Rzecz w tym, że ja tej paczki nie instalowałem świadomie i jeśli ona jest, to musiała kiedyś albo i teraz być do czegoś potrzebna. Nie wiem, czy mogę ją bezkarnie usunąć. Przepraszam. Dzięki za pomoc.


@nycko


pak -rd python2-gnomekeyring

:: Pakiety zależne od: python2-gnomekeyring
python2-gnomekeyring
[jan@jan ~]$



[jan@jan ~]$ ls -al ~/.cache/pak
razem 28
drwxr-xr-x  7 jan jan 4096 04-03 20:34 .
drwxr-xr-x 14 jan jan 4096 02-15 19:24 ..
drwxr-xr-x  3 jan jan 4096 11-22 17:09 auracle-git
drwxr-xr-x  2 jan jan 4096 03-28 22:19 downloaded
drwxr-xr-x  3 jan jan 4096 01-23 23:59 pamac-classic
drwxr-xr-x  8 jan jan 4096 04-03 20:37 pkgs
drwxr-xr-x  9 jan jan 4096 04-03 20:39 polaur
[jan@jan ~]$

Wynika mi z tego, że jedynym pakietem zależnym od [python2-gnomekeyring] jest pakiet [python2-gnomekeyring].
Zatem mogę to-to po prostu wyrzucić.
Dobrze myślę?
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: nycko w Kwiecień 04, 2020, 12:19:30 am
Możesz bez większych obaw  usunąć  python2-gnomekeyring. Nic w systemie tego nie potrzebuje. A druga sprawa - usuń katalog ~/.cache/pak i wykonaj ponownie pak -Py a po nim pełną aktualizację -Syu
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: pavbaranov w Kwiecień 04, 2020, 03:56:19 am
@pavbaranov
Rzecz w tym, że ja tej paczki nie instalowałem świadomie i jeśli ona jest, to musiała kiedyś albo i teraz być do czegoś potrzebna. Nie wiem, czy mogę ją bezkarnie usunąć.
Janku, tyle, że "jak korzystać z PAK", a "nie wiem, czy mogę usunąć" paczkę, to dwie różne rzeczy. Jest - o czym Ci wyżej (https://forum.linuxiarze.pl/index.php/topic,3996.msg24881.html#msg24881 (https://forum.linuxiarze.pl/index.php/topic,3996.msg24881.html#msg24881)) wspomniałem, takie genialne polecenie:
pacman -Qi nazwa_paczki{/code] które już raz było poruszone nawet w tym wątku. Po jego wydaniu widzisz m.in.
[code](...)
Wymagany przez        : aisleriot  brave  firefox  thunderbird
Opcjonalny dla        : avahi  firewalld  ghostscript  gpsd  gssdp  jre-openjdk  kde-gtk-config  libinput
                        libreoffice-fresh  qt5-base  vlc
Konfliktuje z         : gtk3-print-backends
Zastępuje             : gtk3-print-backends<=3.22.26-1
Data zainstalowania   : sob, 28 mar 2020, 08:11:38
Powód zainstalowania  : Zależność innego pakietu
(...)
I masz tu całą wiedzę potrzebną do zdecydowania do czego jest Ci dana paczka w systemie. Jeśli w polu "Wymagany przez" jest cokolwiek, to oznacza, że ta paczka jest potrzebna. Z pola "Powód zainstalowania" dowiesz się czy sam to zainstalowałeś (wówczas będzie "Ręczny") czy coś tę paczkę pociągnęło jako zależność (jw.). Pozostałe przycięte tu informacje umożliwiają też uzyskanie wiedzy, która jest istotna z punktu widzenia podjęcia decyzji o tym, co z nią dalej robić. Tę informację dostałeś już dawno i nie ma ona nic wspólnego z używaniem PAK, a z wiedzą o używaniu pacmana i ogólnie jest dość podstawowa dla Archa (i każdego systemu, który opiera się o pacmana).
Cały problem z tą pisaniną taki, że informacja poszła do Ciebie, a Ty dalej, że cośtam. Po prostu uważniej czytaj co się pisze, wyciągaj wnioski, w razie czego pytaj. Wówczas z przyjemnością każdy Ci odpowie.
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: Piejanto w Kwiecień 05, 2020, 12:34:40 pm
@pavbaranov
No, fakt że było na temat [-Qi] ale się troche pogubiłem, bo tamto pacman a tu pak. Zrobiłem pacman -Qi
i mi wyszło :
 pacman -Qi python2-gnomekeyring
Nazwa                 : python2-gnomekeyring
Wersja                : 2.32.0-18
Opis                  : Python bindings for libgnome-keyring
Architektura          : x86_64
Adres url             : https://www.gnome.org
Licencje              : GPL  LGPL
Grupy                 : Brak
Dostarcza             : Brak
Zależy od             : pygtk  libgnome-keyring
Opcjonalne zależności : Brak
Wymagany przez        : Brak
Opcjonalny dla        : Brak
Konfliktuje z         : python-gnomekeyring<=2.32.0-10
Zastępuje             : python-gnomekeyring<=2.32.0-10
Rozmiar po instalacji : 73,00 KiB
Autor pakietu         : Evangelos Foutras <evangelos@foutrelis.com>
Data zbudowania       : sob, 10 lis 2018, 00:07:11
Data zainstalowania   : wto, 13 lis 2018, 23:30:54
Powód zainstalowania  : Ręczny
Skrypt instalacyjny   : Nie
Potwierdzone przez    : Podpis

Najbardziej mnie zdumiewa "powód zainstalowania "Ręczny"". Bo na pewno nie instalowałbym czegoś o czym nie mam pojęcia.
Dzięki za wyrozumiałość.
Wywalam to coś co do niczego nie służy a jedynie zastępuje samo siebie i z samym sobą konfliktuje.
Dostałem może zbyt wielką "paczkę do przetrawienia". Zrobiłem sobie katalogi z poleceniami PAK-a i z poleceniami PACMAN-a ale to chyba błąd i muszę to jakoś połączyć, żeby mi się złożyło i zazębiło w rozumie.
Dziekuje
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: pavbaranov w Kwiecień 05, 2020, 12:53:34 pm
Jeśli:
"Powód zainstalowania: Ręczny"
to wg mnie innej opcji nie ma - taka paczka musiała być zainstalowana "ręcznie", czyli poprzez konkretnie wydane polecenie: pacman -S paczka.

Jeśli chodzi o "zestawienie" poleceń pak vs. pacman, to są one w części dotyczącej obsługi pacmana przez pak takie same z wyjątkami, które widzisz po wydaniu polecenia: pak -h. Innych różnic nie ma, choć niektóre są wyłącznie funkcjonalne jak np. pak -S paczka, które jest równoważne pacman -Syu paczka. W przypadku poleceń dotyczących odpytania bazy paczek o pakiety (-Q) to są one dokładnie takie same.
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: Piejanto w Kwiecień 05, 2020, 01:05:10 pm
@pavbaranov
Dla mnie tez logiczne, że jeśli wykazuje "ręczna", to powinienem zainstalować z własnej i nieprzymuszonej woli, ale tak nie jest.
Po usunięciu [python2-gnomekeyring] i wrzuceniu poklecenia [pak -Syu] aktualizacja z AUR nie wykazuje już ostrzeżeń w sprawie

"Uruchamianie aktualizacji z AUR...
ostrzeżenie: python2-gnomekeyring => zainstalowana: 2.32.0-18, dostępna: 2.32.0-20, opiekun: twa022, oflagowana: Nie
ostrzeżenie: vuescan-bin => zainstalowana: 9.7.x-1, dostępna: 9.7.x-1, opiekun: FabioLolix, oflagowana: Tak"

i pozostaje ostrzeżenie jedynie w sprawie [Vue-scan]:

"Uruchamianie aktualizacji z AUR...
ostrzeżenie: vuescan-bin => zainstalowana: 9.7.x-1, dostępna: 9.7.x-1, opiekun: FabioLolix, oflagowana: Tak
 nie ma nic do zrobienia"

To chyba dobrze?
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: pavbaranov w Kwiecień 05, 2020, 02:19:19 pm
Na tak postawione pytanie nie istnieje żadna odpowiedź. Można tylko stwierdzić, że paczki python2-gnomekeyring (którą jednak musiałeś zainstalować, ale to nie ma znaczenia) nie ma już w Twoim systemie, zaś paczkę vuescan-bin masz zainstalowaną z AUR.
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: Piejanto w Kwiecień 05, 2020, 05:16:37 pm
@pavbaranov
Możliwe, że musiałem ją zainstalować, ale zupełnie nie wiem jakbym to mógł uczynić i po co. Być może coś powiedziało, że potrzebuje czegoś takiego jak [python2-gnomekeyring] i ja to przyklepałem. Fakt, że uważasz, iż sam wpadłem na to aby zainstalować i na dodatek sam zainstalowałem pochlebia mi niezmiernie, ale staram się być realistą. Jest jeszcze inna ciekawa (dla mnie )sprawa, że na laptopie paczki [python2-gnomekeyring] nie mam zainstalowanej
A ostrzeżenia co do aktualizacji z AUR są. 

****************
pak -Syu
:: Uruchamianie aktualizacji systemu...
 nie ma nic do zrobienia

:: Uruchamianie aktualizacji z AUR...
ostrzeżenie: lib32-libtxc_dxtn => zainstalowana: 1.0.1-5, dostępna: 1.0.1-1, opiekun: llde, oflagowana: Nie
ostrzeżenie: libtxc_dxtn => zainstalowana: 1.0.1-6, dostępna: 1.0.1-1, opiekun: llde, oflagowana: Nie
ostrzeżenie: sbsms => zainstalowana: 2.0.2-3, dostępna: 2.0.2-3, opiekun: Brak, oflagowana: Nie
ostrzeżenie: vuescan-bin => zainstalowana: 9.7.x-1, dostępna: 9.7.x-1, opiekun: FabioLolix, oflagowana: Tak
 nie ma nic do zrobienia
*********

Teraz jeszcze bardziej doceniam, strony dodatnie pak'a, który w ogóle zauważył problem, podczas gdy pacmanowi było to zupełnie obojętnie, że się pałęta jakaś tam niepotrzebna paczka.
 
Paczkę Vue-scann zainstalowałem niegdyś za pomocą Pamac'a, ale wiedziałem czego szukam. Szukałem programu do obsługi skanera.
Natomiast [python2-gnomekeyring] jest dla mnie jednym wielkim znakiem zapytania.

Okazuje się, że polecenie [pak -Qi nazwa_pakietu] działa równie dobrze z pak'iem, jak z pacmanem, a może nawet lepiej.
Właśnie sprawdziłem tym poleceniem opatrzone ostrzeżeniem paczki, i okazało się, że są również niepotrzebne.



Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: pavbaranov w Kwiecień 05, 2020, 05:38:33 pm
Dwie pierwsze paczki - (wyższy pkgrel) oznacza najprawdopodobniej, że paczki te są pozostałością po Antergosie. Jeśli nie - bladego pojęcia nie mam skąd masz je w takiej wersji. Paczki z libtxc_dxtn w nazwie w ogóle nigdy nie miałt wersji wyższej niż 1.0.1-1. Możliwości wyższej pkgrel są jedynie 2: albo pochodzi ta paczka z innego repozytorium, które choćby czasowo było udostępnione systemowi, albo sam użytkownik z jakiegoś powodu zmienił sobie PKGBUILD podczas budowy paczki. Trzeciej możliwości nie ma, nie było i nie będzie (tzn. jest, gdyby jakiś opiekun paczki w AUR się pomylił, ale to nie występuje w tym przypadku - sam zresztą możesz sobie sprawdzić changelog na stronie AUR).

Odchodzimy jednak znacznie od tematu, albowiem to, o czym ostatnio rozmawiamy nie ma nic wspólnego z obsługą PAK a z tłumaczeniem Tobie elementarnych podstaw działania systemu, którym się posługujesz.
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: Piejanto w Kwiecień 05, 2020, 11:08:50 pm
Jest tyle wspólnego z pak'iem, że wykazujemy, iż pak lepiej niż pacman potrafi pokazać problem.
Ponadto wykazaliśmy, że np. polecenie [-Qi] lepiej działa pod pak'iem, niż pod pacmanem, gdyż pracuje bez potrzeby logowania su (root'a).
I w ogóle, jak w pewnym momencie straciłem ufność do pak'a, tak równie szybko ją odzyskałem.
Dzięki żeś mnie jednak nie zostawił z problemem. 

PS
Dzięki za opis usuniętych przeze mnie pakietów.
Dzięki
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: pavbaranov w Kwiecień 06, 2020, 12:18:47 am
1. Pacman nie "zdiagnozuje" problemu z AUR, albowiem nie obsługuje tego "repozytorium"
2. Pacman -Qi również nie posługuje się rootem.
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: Piejanto w Kwiecień 06, 2020, 02:01:08 pm
@pavbaranov
I tą ostatnią Twoją wypowiedzią, chyba możemy zakończyć rozważania na temat: "Jak posługiwać się programem PAK?".
Z mojego punktu widzenia pak jest programem dokładniej diagnozującym zawartość komutra i bez niego miałbym wiele
niepotrzebnych i nawet groźnych pakietów takich jak [qt4], które pacmanowi zwisały suchym wiórem i mogły narobić niezłej kaszany.
Dlatego ewidentnie wolę pak'a i to jest chyba najlepsze podsumowanie mojej u Ciebie nauki Linuxa.
Do następnego.
Pozdrowienia.
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: pavbaranov w Kwiecień 06, 2020, 06:06:17 pm
Janku - dla Ciebie, to:
1. raz na tydzień/dwa - wykonać:
pak -mzaakceptować
2. uruchomić sobie:
systemctl --user enable --now pak-checkupdates.timer
 systemctl --user enable --now pak-auracle.timer
- zrezygnować z innych powiadamiaczy (np. pamac)
3. wykonywać aktualizację przynajmniej od czasu do czasu
4. w wolnej chwili przeglądnąć możliwości pacman/pak w zakresie wyszukiwania niepotrzebnych paczek i je wywalić
5. zwrócić uwagę na paczki które nie pochodzą z repozytoriów (AUR/POLAUR) i ewentualnie zasięgnąć języka
6. używać bez większego zastanawiania się jak dzielić wiór na 4 i wówczas system winien stać się bezproblemowy
7. w wolnej chwili poczytać o podstawach stosowania pacman, o AUR i postarać się zrozumieć - jeśli problem - pomożemy

Ogólnie - uszy do góry i pozdrowionka.
Tytuł: Odp: Jak posługiwać się programem PAK?
Wiadomość wysłana przez: Piejanto w Kwiecień 07, 2020, 01:05:27 pm
@pavbaranov
OK. Dzięki.
Z tych naszych przepychanek powstał mi już całkiem spory podręcznik.
Zdrowia.

PS
Polecenie [pak -m] jest zdecydowanie przyjaźniejsze, niż wklepywanie polecenia [reflector --verbose --latest 5 --sort rate --save /etc/pacman.d/mirrorlist].
Ale... chyba warto pamiętać obie możliwości. Na wszelki wypadek.